System.Design 1.0.5000.0 2.0.0.0 System.Object System.ComponentModel.Design.IComponentInitializer System.ComponentModel.Design.IDesignerFilter System.ComponentModel.Design.ITreeDesigner

The base designer class provides a simple designer that can extend the behavior of an associated component in design mode.

provides an empty interface implementation, whose methods can be overridden to adjust the attributes, properties and events of the associated component at design time.

You can associate a designer with a type using a . For an overview of customizing design-time behavior, see Extending Design-Time Support.

The class implements a special behavior for the property descriptors of inherited components. An internal type named InheritedPropertyDescriptor is used by the default implementation to stand in for properties that are inherited from a base class. There are two cases in which these property descriptors are added.

To the root object itself, which is returned by the property, because you are inheriting from its base class.

To fields found in the base class of the root object. Public and protected fields from the base class are added to the designer so that they can be manipulated by the user.

The InheritedPropertyDescriptor class modifies the default value of a property, so that the default value is the current value at object instantiation. This is because the property is inherited from another instance. The designer defines resetting the property value as setting it to the value that was set by the inherited class. This value may differ from the default value stored in metadata.

Extends the design mode behavior of a component.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.ComponentModel.Design.DesignerActionListCollection To be added. To be added.

  Gets the design-time action lists supported by the component associated with the designer.

- Property
  System.Collections.ICollection To be added.

  This property indicates any components to copy or move along with the component managed by the designer during a copy, drag, or move operation.

  If this collection contains references to other components in the current design mode document, those components will be copied along with the component managed by the designer during a copy operation.

  When the component managed by the designer is selected, this collection is filled with any nested controls. This collection can also include other components, such as the buttons of a toolbar.

  Gets the collection of components associated with the component managed by the designer.

  1.0.5000.0
  2.0.0.0
- Property
  System.ComponentModel.IComponent To be added.

  The method of sets this property.

  When overriding the method, be sure to call the base class method before using this property.

  Gets the component this designer is designing.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  In Windows Forms and Web Forms designers, this method is invoked when a user double-clicks a component.

  Creates a method signature in the source code file for the default event on the component and navigates the user's cursor to that location.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  This method overrides and cleans up resources by calling Dispose(false). Override Dispose(Boolean) to customize the cleanup.

  Application code should not call this method; an object's Finalize method is automatically invoked during garbage collection, unless finalization by the garbage collector has been disabled by a call to the method.

  For more information, see Finalize Methods and Destructors, Cleaning Up Unmanaged Resources, and Overriding the Finalize Method.

  Attempts to free resources by calling Dispose(false) before the object is reclaimed by garbage collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` To be added.

  The default implementation of this method requests the service from the site of the component.

  Attempts to retrieve the specified type of service from the design mode site of the designer's component.

  An object implementing the requested service, or null if the service cannot be resolved.

  1.0.5000.0
  2.0.0.0
- Property
  System.ComponentModel.InheritanceAttribute To be added. To be added.

  Gets an attribute that indicates the type of inheritance of the associated component.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether this component is inherited.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The designer host calls this method when it is ready to use the designer.

  Prepares the designer to view, edit, and design the specified component.

  The component for this designer. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The method is called when an existing component is being reinitialized. For example, this may occur after the user drags a component to another container.

  You may use the dictionary to apply recommended defaults to properties; however, you should not modify component properties aside from those stored in the dictionary, because this existing component may already have properties set on it.

  The default implementation of this method does nothing.

  Reinitializes an existing component.

  A name/value dictionary of default values to apply to properties. May be null if no default values are specified.
- Method
  2.0.0.0
  System.Void ``

  The method is called when a component is first initialized, typically after being first added to a design surface.

  You may perform any necessary initialization of this component, and you may ignore the dictionary altogether.

  The default implementation of this method does nothing.

  Initializes a newly created component.

  A name/value dictionary of default values to apply to properties. May be null if no default values are specified.
- Method
  System.Void

  This method is called when the designer is associated with a control that is not in its default state, such as a control that you paste or move with a drag-and-drop operation onto the designer. This method provides an opportunity for implementers to modify or shadow the properties of the component rather than initialize the properties for the component to their defaults. This method is called after the other initialization functions.

  Initializes the settings for an imported component that is already initialized to settings other than the defaults.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("This method has been deprecated. Use InitializeExistingComponent instead.")
- Method
  System.ComponentModel.InheritanceAttribute `` To be added.

  Gets the of the specified .

  The of the specified designer.

  The whose inheritance attribute to retrieve. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  is called when the designer is initialized. This allows the designer to provide default values for the base component.

  This method is called only once: when you first create the component by dragging it from the Toolbox to the design surface. Subsequent initializations of the designer do not invoke this method.

  The default implementation of this method sets the default property of the component to the name of the component if the default property is a string and the property is not already set. This method can be implemented in a derived class to customize the initialization of the component that this designer is designing.

  Sets the default properties for the component.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("This method has been deprecated. Use InitializeNewComponent instead.")
- Property
  2.0.0.0
  System.ComponentModel.IComponent To be added.

  This property provides a generic mechanism for discovering parent relationships within designers, and is used by the object's interface implementation. This property should only return null when this designer is the root component. The default implementation of this property returns the root component for all components that are not the root component, and it returns null for the root component.

  Gets the parent component for this designer.

- Method
  System.Void ``

  This method provides a way to change or remove the items within the dictionary of attributes that are exposed through a .

  The keys in the dictionary of attributes are the type identifiers of the attributes, as specified by the value of their property. The objects are of type . This method is called immediately after the method.

  Allows a designer to change or remove items from the set of attributes that it exposes through a .

  The attributes for the class of the component. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method provides a way to change or remove the items within the dictionary of events that are exposed through a .

  The keys in the dictionary of events are the names of the events. The objects are of type . This method is called immediately after the method.

  Allows a designer to change or remove items from the set of events that it exposes through a .

  The events for the class of the component. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method provides a way to change or remove the items within the dictionary of properties that are exposed through a .

  The keys in the dictionary of properties are the names of the properties. The objects are of type . This method is called immediately after the method.

  Allows a designer to change or remove items from the set of properties that it exposes through a .

  The properties for the class of the component. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method provides a way to add items to the dictionary of attributes that a designer exposes through a .

  The keys in the dictionary of attributes are the type identifiers of the attributes, as specified by the value of their property. The objects are of type . This method is called immediately before the method.

  Allows a designer to add to the set of attributes that it exposes through a .

  The attributes for the class of the component. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method provides a way to add items to the dictionary of events that a designer exposes through a .

  The keys in the dictionary of events are the names of the events. The objects are of type . This method is called immediately before the method.

  Allows a designer to add to the set of events that it exposes through a .

  The events for the class of the component. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method provides a way to add items to the dictionary of properties that a designer exposes through a .

  The keys in the dictionary of properties are the names of the properties. The objects are of type . This method is called immediately before the method.

  Allows a designer to add to the set of properties that it exposes through a .

  The properties for the class of the component. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Call this method only when you affect component properties directly and not through the accessors provided by .

  Notifies the that this component has been changed.

  A that indicates the member that has been changed. The old value of the member. The new value of the member. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Call this method only when you affect component properties directly and not through accessors provided by .

  Notifies the that this component is about to be changed.

  A that indicates the member that is about to be changed. 1.0.5000.0 2.0.0.0
- Property
  System.ComponentModel.Design.ComponentDesigner+ShadowPropertyCollection To be added. To be added.

  Gets a collection of property values that override user settings.

  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the method.

  The objects for the class of the component. The keys in the dictionary of attributes are the values of the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the method.

  The objects that represent the events of the class of the component. The keys in the dictionary of events are event names.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the method.

  The objects that represent the properties of the class of the component. The keys in the dictionary of properties are property names.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the method.

  The objects for the class of the component. The keys in the dictionary of attributes are the values of the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the method.

  The objects that represent the events of the class of the component. The keys in the dictionary of events are event names.
- Method
  1.0.5000.0
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the method.

  The objects that represent the properties of the class of the component. The keys in the dictionary of properties are property names.
- Property
  2.0.0.0
  System.Collections.ICollection To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the property.

- Property
  2.0.0.0
  System.ComponentModel.Design.IDesigner To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the property.

- Property
  System.ComponentModel.Design.DesignerVerbCollection To be added.

  This method returns null if the component has no design-time verbs.

  The design-time environment typically displays verbs returned by this method in a shortcut (right-click) menu. When a user selects one of the verbs, the method of the corresponding is invoked.

  A design-time environment typically provides a Properties command on a component's shortcut menu. Therefore, do not include such an entry in the collection of designer-specified verbs.

  Gets the design-time verbs supported by the component that is associated with the designer.

  1.0.5000.0
  2.0.0.0